GlueGen: com.jogamp.gluegen.jgram.JavaParser Class Reference

GlueGen v2.6.0-rc-20250712 GlueGen, Native Binding Generator for Java™ (public API).

Public Member Functions | Static Public Attributes | Protected Member Functions | List of all members
com.jogamp.gluegen.jgram.JavaParser Class Reference
Inheritance diagram for com.jogamp.gluegen.jgram.JavaParser:
Collaboration diagram for com.jogamp.gluegen.jgram.JavaParser:

## Public Member Functions

void | clearParsedEnumNames ()
Set< String > | getParsedEnumNames ()
| Returns the EnumTypes this HeaderParser processed. More...
void | clearParsedFunctionNames ()
| Clears the list of functions this HeaderParser has parsed. More...
Set< String > | getParsedFunctionNames ()
| Returns the list of FunctionSymbols this HeaderParser has parsed. More...
void | clearParsedInnerInterfacesNames ()
| Clears the list of inner interfaces this HeaderParser has parsed. More...
Set< String > | getParsedInnerInterfacesNames ()
| Returns the list of inner interfaces this HeaderParser has parsed. More...
void | clearParsedInnerClassesNames ()
| Clears the list of inner classes this HeaderParser has parsed. More...
Set< String > | getParsedInnerClassesNames ()
| Returns the list of inner classes this HeaderParser has parsed. More...
| JavaParser (TokenBuffer tokenBuf)
| JavaParser (TokenStream lexer)
| JavaParser (ParserSharedInputState state)
final void | compilationUnit () throws RecognitionException, TokenStreamException
final void | packageDefinition () throws RecognitionException, TokenStreamException
final void | importDefinition () throws RecognitionException, TokenStreamException
final void | typeDefinition () throws RecognitionException, TokenStreamException
final void | identifier () throws RecognitionException, TokenStreamException
final void | identifierStar () throws RecognitionException, TokenStreamException
final void | annotations () throws RecognitionException, TokenStreamException
final void | modifiers () throws RecognitionException, TokenStreamException
final void | classDefinition (AST antsBefore, AST modifiers, AST antsAfter) throws RecognitionException, TokenStreamException
final void | interfaceDefinition (AST antsBefore, AST modifiers, AST antsAfter) throws RecognitionException, TokenStreamException
final void | declaration () throws RecognitionException, TokenStreamException
| A declaration is the creation of a reference or primitive-type variable Create a separate Type/Var tree for each var in the var list. More...
final void | typeSpec (boolean addImagNode) throws RecognitionException, TokenStreamException
final void | variableDefinitions (AST antsBefore, AST mods, AST antsAfter, AST t) throws RecognitionException, TokenStreamException
final void | classTypeSpec (boolean addImagNode) throws RecognitionException, TokenStreamException
final void | builtInTypeSpec (boolean addImagNode) throws RecognitionException, TokenStreamException
final void | builtInType () throws RecognitionException, TokenStreamException
final void | type () throws RecognitionException, TokenStreamException
final void | modifier () throws RecognitionException, TokenStreamException
final void | superClassClause () throws RecognitionException, TokenStreamException
final void | implementsClause () throws RecognitionException, TokenStreamException
final void | classBlock () throws RecognitionException, TokenStreamException
final void | interfaceExtends () throws RecognitionException, TokenStreamException
final void | field () throws RecognitionException, TokenStreamException
final void | ctorHead () throws RecognitionException, TokenStreamException
final void | constructorBody () throws RecognitionException, TokenStreamException
final void | parameterDeclarationList () throws RecognitionException, TokenStreamException
final void | declaratorBrackets (AST typ) throws RecognitionException, TokenStreamException
final void | throwsClause () throws RecognitionException, TokenStreamException
final void | compoundStatement () throws RecognitionException, TokenStreamException
final void | explicitConstructorInvocation () throws RecognitionException, TokenStreamException
| Catch obvious constructor calls, but not the expr.super(...) calls. More...
final void | statement () throws RecognitionException, TokenStreamException
final void | argList () throws RecognitionException, TokenStreamException
final void | variableDeclarator (AST antsBefore, AST mods, AST antsAfter, AST t) throws RecognitionException, TokenStreamException
| Declaration of a variable. More...
final void | varInitializer () throws RecognitionException, TokenStreamException
final void | initializer () throws RecognitionException, TokenStreamException
final void | arrayInitializer () throws RecognitionException, TokenStreamException
final void | expression () throws RecognitionException, TokenStreamException
final void | parameterDeclaration () throws RecognitionException, TokenStreamException
final void | parameterModifier () throws RecognitionException, TokenStreamException
final void | forInit () throws RecognitionException, TokenStreamException
final void | forCond () throws RecognitionException, TokenStreamException
final void | forIter () throws RecognitionException, TokenStreamException
final void | casesGroup () throws RecognitionException, TokenStreamException
final void | tryBlock () throws RecognitionException, TokenStreamException
final void | aCase () throws RecognitionException, TokenStreamException
final void | caseSList () throws RecognitionException, TokenStreamException
final void | expressionList () throws RecognitionException, TokenStreamException
final void | handler () throws RecognitionException, TokenStreamException
final void | finallyClause () throws RecognitionException, TokenStreamException
final void | annotation () throws RecognitionException, TokenStreamException
final void | primaryExpression () throws RecognitionException, TokenStreamException
final void | identPrimary () throws RecognitionException, TokenStreamException
| Match a, a.b.c refs, a.b.c(...) refs, a.b.c[], a.b.c[].class, and a.b.c.class refs. More...
final void | assignmentExpression () throws RecognitionException, TokenStreamException
final void | conditionalExpression () throws RecognitionException, TokenStreamException
final void | logicalOrExpression () throws RecognitionException, TokenStreamException
final void | logicalAndExpression () throws RecognitionException, TokenStreamException
final void | inclusiveOrExpression () throws RecognitionException, TokenStreamException
final void | exclusiveOrExpression () throws RecognitionException, TokenStreamException
final void | andExpression () throws RecognitionException, TokenStreamException
final void | equalityExpression () throws RecognitionException, TokenStreamException
final void | relationalExpression () throws RecognitionException, TokenStreamException
final void | shiftExpression () throws RecognitionException, TokenStreamException
final void | additiveExpression () throws RecognitionException, TokenStreamException
final void | multiplicativeExpression () throws RecognitionException, TokenStreamException
final void | unaryExpression () throws RecognitionException, TokenStreamException
final void | unaryExpressionNotPlusMinus () throws RecognitionException, TokenStreamException
final void | postfixExpression () throws RecognitionException, TokenStreamException
final void | newExpression () throws RecognitionException, TokenStreamException
| object instantiation. More...
final void | constant () throws RecognitionException, TokenStreamException
final void | newArrayDeclarator () throws RecognitionException, TokenStreamException

## Static Public Attributes

static final String[] | _tokenNames
static final BitSet | _tokenSet_0 = new BitSet(mk_tokenSet_0())
static final BitSet | _tokenSet_1 = new BitSet(mk_tokenSet_1())
static final BitSet | _tokenSet_2 = new BitSet(mk_tokenSet_2())
static final BitSet | _tokenSet_3 = new BitSet(mk_tokenSet_3())
static final BitSet | _tokenSet_4 = new BitSet(mk_tokenSet_4())
static final BitSet | _tokenSet_5 = new BitSet(mk_tokenSet_5())
static final BitSet | _tokenSet_6 = new BitSet(mk_tokenSet_6())
static final BitSet | _tokenSet_7 = new BitSet(mk_tokenSet_7())
static final BitSet | _tokenSet_8 = new BitSet(mk_tokenSet_8())
static final BitSet | _tokenSet_9 = new BitSet(mk_tokenSet_9())
static final BitSet | _tokenSet_10 = new BitSet(mk_tokenSet_10())
static final BitSet | _tokenSet_11 = new BitSet(mk_tokenSet_11())
static final BitSet | _tokenSet_12 = new BitSet(mk_tokenSet_12())
static final BitSet | _tokenSet_13 = new BitSet(mk_tokenSet_13())
static final BitSet | _tokenSet_14 = new BitSet(mk_tokenSet_14())
static final BitSet | _tokenSet_15 = new BitSet(mk_tokenSet_15())
static final BitSet | _tokenSet_16 = new BitSet(mk_tokenSet_16())
static final BitSet | _tokenSet_17 = new BitSet(mk_tokenSet_17())
static final BitSet | _tokenSet_18 = new BitSet(mk_tokenSet_18())
static final BitSet | _tokenSet_19 = new BitSet(mk_tokenSet_19())
static final BitSet | _tokenSet_20 = new BitSet(mk_tokenSet_20())
static final BitSet | _tokenSet_21 = new BitSet(mk_tokenSet_21())
static final BitSet | _tokenSet_22 = new BitSet(mk_tokenSet_22())
static final BitSet | _tokenSet_23 = new BitSet(mk_tokenSet_23())
static final BitSet | _tokenSet_24 = new BitSet(mk_tokenSet_24())
static final BitSet | _tokenSet_25 = new BitSet(mk_tokenSet_25())
static final BitSet | _tokenSet_26 = new BitSet(mk_tokenSet_26())
static final BitSet | _tokenSet_27 = new BitSet(mk_tokenSet_27())
static final BitSet | _tokenSet_28 = new BitSet(mk_tokenSet_28())
static final BitSet | _tokenSet_29 = new BitSet(mk_tokenSet_29())
static final BitSet | _tokenSet_30 = new BitSet(mk_tokenSet_30())

## Protected Member Functions

| JavaParser (TokenBuffer tokenBuf, int k)
| JavaParser (TokenStream lexer, int k)
void | buildTokenTypeASTClassMap ()

## Additional Inherited Members

Public Attributes inherited from com.jogamp.gluegen.jgram.JavaTokenTypes
int | EOF = 1
int | NULL_TREE_LOOKAHEAD = 3
int | BLOCK = 4
int | MODIFIERS = 5
int | OBJBLOCK = 6
int | SLIST = 7
int | CTOR_DEF = 8
int | METHOD_DEF = 9
int | VARIABLE_DEF = 10
int | INSTANCE_INIT = 11
int | STATIC_INIT = 12
int | TYPE = 13
int | CLASS_DEF = 14
int | INTERFACE_DEF = 15
int | PACKAGE_DEF = 16
int | ARRAY_DECLARATOR = 17
int | EXTENDS_CLAUSE = 18
int | IMPLEMENTS_CLAUSE = 19
int | PARAMETERS = 20
int | PARAMETER_DEF = 21
int | LABELED_STAT = 22
int | TYPECAST = 23
int | INDEX_OP = 24
int | POST_INC = 25
int | POST_DEC = 26
int | METHOD_CALL = 27
int | EXPR = 28
int | ARRAY_INIT = 29
int | IMPORT = 30
int | UNARY_MINUS = 31
int | UNARY_PLUS = 32
int | CASE_GROUP = 33
int | ELIST = 34
int | FOR_INIT = 35
int | FOR_CONDITION = 36
int | FOR_ITERATOR = 37
int | EMPTY_STAT = 38
int | FINAL = 39
int | ABSTRACT = 40
int | STRICTFP = 41
int | SUPER_CTOR_CALL = 42
int | CTOR_CALL = 43
int | LITERAL_package = 44
int | SEMI = 45
int | LITERAL_import = 46
int | LT = 47
int | QUESTION = 48
int | LITERAL_extends = 49
int | BAND = 50
int | GT = 51
int | LBRACK = 52
int | RBRACK = 53
int | LITERAL_void = 54
int | LITERAL_boolean = 55
int | LITERAL_byte = 56
int | LITERAL_char = 57
int | LITERAL_short = 58
int | LITERAL_int = 59
int | LITERAL_float = 60
int | LITERAL_long = 61
int | LITERAL_double = 62
int | IDENT = 63
int | DOT = 64
int | STAR = 65
int | LITERAL_private = 66
int | LITERAL_public = 67
int | LITERAL_protected = 68
int | LITERAL_static = 69
int | LITERAL_transient = 70
int | LITERAL_native = 71
int | LITERAL_threadsafe = 72
int | LITERAL_synchronized = 73
int | LITERAL_volatile = 74
int | LITERAL_class = 75
int | LITERAL_interface = 76
int | LCURLY = 77
int | RCURLY = 78
int | COMMA = 79
int | LITERAL_implements = 80
int | LPAREN = 81
int | RPAREN = 82
int | LITERAL_this = 83
int | LITERAL_super = 84
int | ASSIGN = 85
int | LITERAL_throws = 86
int | COLON = 87
int | LITERAL_if = 88
int | LITERAL_else = 89
int | LITERAL_for = 90
int | LITERAL_while = 91
int | LITERAL_do = 92
int | LITERAL_break = 93
int | LITERAL_continue = 94
int | LITERAL_return = 95
int | LITERAL_switch = 96
int | LITERAL_throw = 97
int | LITERAL_case = 98
int | LITERAL_default = 99
int | LITERAL_try = 100
int | LITERAL_finally = 101
int | LITERAL_catch = 102
int | AT = 103
int | PLUS_ASSIGN = 104
int | MINUS_ASSIGN = 105
int | STAR_ASSIGN = 106
int | DIV_ASSIGN = 107
int | MOD_ASSIGN = 108
int | SR_ASSIGN = 109
int | BSR_ASSIGN = 110
int | SL_ASSIGN = 111
int | BAND_ASSIGN = 112
int | BXOR_ASSIGN = 113
int | BOR_ASSIGN = 114
int | LOR = 115
int | LAND = 116
int | BOR = 117
int | BXOR = 118
int | NOT_EQUAL = 119
int | EQUAL = 120
int | LE = 121
int | GE = 122
int | LITERAL_instanceof = 123
int | SL = 124
int | SR = 125
int | BSR = 126
int | PLUS = 127
int | MINUS = 128
int | DIV = 129
int | MOD = 130
int | INC = 131
int | DEC = 132
int | BNOT = 133
int | LNOT = 134
int | LITERAL_true = 135
int | LITERAL_false = 136
int | LITERAL_null = 137
int | LITERAL_new = 138
int | NUM_INT = 139
int | CHAR_LITERAL = 140
int | STRING_LITERAL = 141
int | NUM_FLOAT = 142
int | NUM_LONG = 143
int | NUM_DOUBLE = 144
int | WS = 145
int | SL_COMMENT = 146
int | ML_COMMENT = 147
int | ESC = 148
int | HEX_DIGIT = 149
int | EXPONENT = 150
int | FLOAT_SUFFIX = 151

## Detailed Description

Definition at line 28 of file JavaParser.java.

## Constructor & Destructor Documentation

## ◆ JavaParser() [1/5]

com.jogamp.gluegen.jgram.JavaParser.JavaParser | ( | TokenBuffer | tokenBuf,
|  | int | k
| ) |  |

protected

Definition at line 84 of file JavaParser.java.

Here is the call graph for this function:

## ◆ JavaParser() [2/5]

com.jogamp.gluegen.jgram.JavaParser.JavaParser | ( | TokenBuffer | tokenBuf | ) |

Definition at line 91 of file JavaParser.java.

## ◆ JavaParser() [3/5]

com.jogamp.gluegen.jgram.JavaParser.JavaParser | ( | TokenStream | lexer,
|  | int | k
| ) |  |

protected

Definition at line 95 of file JavaParser.java.

Here is the call graph for this function:

## ◆ JavaParser() [4/5]

com.jogamp.gluegen.jgram.JavaParser.JavaParser | ( | TokenStream | lexer | ) |

Definition at line 102 of file JavaParser.java.

## ◆ JavaParser() [5/5]

com.jogamp.gluegen.jgram.JavaParser.JavaParser | ( | ParserSharedInputState | state | ) |

Definition at line 106 of file JavaParser.java.

Here is the call graph for this function:

## Member Function Documentation

## ◆ aCase()

final void com.jogamp.gluegen.jgram.JavaParser.aCase | ( |  | ) | throws RecognitionException, TokenStreamException

Definition at line 2944 of file JavaParser.java.

Here is the call graph for this function:
Here is the caller graph for this function:

## ◆ additiveExpression()

final void com.jogamp.gluegen.jgram.JavaParser.additiveExpression | ( |  | ) | throws RecognitionException, TokenStreamException

Definition at line 4009 of file JavaParser.java.

Here is the call graph for this function:
Here is the caller graph for this function:

## ◆ andExpression()

final void com.jogamp.gluegen.jgram.JavaParser.andExpression | ( |  | ) | throws RecognitionException, TokenStreamException

Definition at line 3758 of file JavaParser.java.

Here is the call graph for this function:
Here is the caller graph for this function:

## ◆ annotation()

final void com.jogamp.gluegen.jgram.JavaParser.annotation | ( |  | ) | throws RecognitionException, TokenStreamException

Definition at line 3082 of file JavaParser.java.

Here is the call graph for this function:
Here is the caller graph for this function:

## ◆ annotations()

final void com.jogamp.gluegen.jgram.JavaParser.annotations | ( |  | ) | throws RecognitionException, TokenStreamException

Definition at line 420 of file JavaParser.java.

Here is the call graph for this function:
Here is the caller graph for this function:

## ◆ argList()

final void com.jogamp.gluegen.jgram.JavaParser.argList | ( |  | ) | throws RecognitionException, TokenStreamException

Definition at line 2226 of file JavaParser.java.

Here is the call graph for this function:
Here is the caller graph for this function:

## ◆ arrayInitializer()

final void com.jogamp.gluegen.jgram.JavaParser.arrayInitializer | ( |  | ) | throws RecognitionException, TokenStreamException

Definition at line 2418 of file JavaParser.java.

Here is the call graph for this function:
Here is the caller graph for this function:

## ◆ assignmentExpression()

final void com.jogamp.gluegen.jgram.JavaParser.assignmentExpression | ( |  | ) | throws RecognitionException, TokenStreamException

Definition at line 3438 of file JavaParser.java.

Here is the call graph for this function:
Here is the caller graph for this function:

## ◆ buildTokenTypeASTClassMap()

void com.jogamp.gluegen.jgram.JavaParser.buildTokenTypeASTClassMap | ( |  | ) |

protected

Definition at line 5161 of file JavaParser.java.

Here is the caller graph for this function:

## ◆ builtInType()

final void com.jogamp.gluegen.jgram.JavaParser.builtInType | ( |  | ) | throws RecognitionException, TokenStreamException

Definition at line 883 of file JavaParser.java.

Here is the caller graph for this function:

## ◆ builtInTypeSpec()

final void com.jogamp.gluegen.jgram.JavaParser.builtInTypeSpec | ( | boolean | addImagNode | ) | throws RecognitionException, TokenStreamException

Definition at line 836 of file JavaParser.java.

Here is the call graph for this function:
Here is the caller graph for this function:

## ◆ casesGroup()

final void com.jogamp.gluegen.jgram.JavaParser.casesGroup | ( |  | ) | throws RecognitionException, TokenStreamException

Definition at line 2804 of file JavaParser.java.

Here is the call graph for this function:
Here is the caller graph for this function:

## ◆ caseSList()

final void com.jogamp.gluegen.jgram.JavaParser.caseSList | ( |  | ) | throws RecognitionException, TokenStreamException

Definition at line 2981 of file JavaParser.java.

Here is the call graph for this function:
Here is the caller graph for this function:

## ◆ classBlock()

final void com.jogamp.gluegen.jgram.JavaParser.classBlock | ( |  | ) | throws RecognitionException, TokenStreamException

Definition at line 1232 of file JavaParser.java.

Here is the call graph for this function:
Here is the caller graph for this function:

## ◆ classDefinition()

final void com.jogamp.gluegen.jgram.JavaParser.classDefinition | ( | AST | antsBefore,
|  | AST | modifiers,
|  | AST | antsAfter
| ) |  | throws RecognitionException, TokenStreamException

Definition at line 474 of file JavaParser.java.

Here is the call graph for this function:
Here is the caller graph for this function:

## ◆ classTypeSpec()

final void com.jogamp.gluegen.jgram.JavaParser.classTypeSpec | ( | boolean | addImagNode | ) | throws RecognitionException, TokenStreamException

Definition at line 651 of file JavaParser.java.

Here is the call graph for this function:
Here is the caller graph for this function:

## ◆ clearParsedEnumNames()

void com.jogamp.gluegen.jgram.JavaParser.clearParsedEnumNames | ( |  | ) |

Definition at line 31 of file JavaParser.java.

## ◆ clearParsedFunctionNames()

void com.jogamp.gluegen.jgram.JavaParser.clearParsedFunctionNames | ( |  | ) |

Clears the list of functions this HeaderParser has parsed.

Useful when reusing the same HeaderParser for more than one header file.

Definition at line 43 of file JavaParser.java.

## ◆ clearParsedInnerClassesNames()

void com.jogamp.gluegen.jgram.JavaParser.clearParsedInnerClassesNames | ( |  | ) |

Clears the list of inner classes this HeaderParser has parsed.

Useful when reusing the same HeaderParser for more than one header file.

Definition at line 67 of file JavaParser.java.

## ◆ clearParsedInnerInterfacesNames()

void com.jogamp.gluegen.jgram.JavaParser.clearParsedInnerInterfacesNames | ( |  | ) |

Clears the list of inner interfaces this HeaderParser has parsed.

Useful when reusing the same HeaderParser for more than one header file.

Definition at line 55 of file JavaParser.java.

## ◆ compilationUnit()

final void com.jogamp.gluegen.jgram.JavaParser.compilationUnit | ( |  | ) | throws RecognitionException, TokenStreamException

Definition at line 113 of file JavaParser.java.

Here is the call graph for this function:
Here is the caller graph for this function:

## ◆ compoundStatement()

final void com.jogamp.gluegen.jgram.JavaParser.compoundStatement | ( |  | ) | throws RecognitionException, TokenStreamException

Definition at line 1775 of file JavaParser.java.

Here is the call graph for this function:
Here is the caller graph for this function:

## ◆ conditionalExpression()

final void com.jogamp.gluegen.jgram.JavaParser.conditionalExpression | ( |  | ) | throws RecognitionException, TokenStreamException

Definition at line 3588 of file JavaParser.java.

Here is the call graph for this function:
Here is the caller graph for this function:

## ◆ constant()

final void com.jogamp.gluegen.jgram.JavaParser.constant | ( |  | ) | throws RecognitionException, TokenStreamException

Definition at line 4857 of file JavaParser.java.

Here is the caller graph for this function:

## ◆ constructorBody()

final void com.jogamp.gluegen.jgram.JavaParser.constructorBody | ( |  | ) | throws RecognitionException, TokenStreamException

Definition at line 1595 of file JavaParser.java.

Here is the call graph for this function:
Here is the caller graph for this function:

## ◆ ctorHead()

final void com.jogamp.gluegen.jgram.JavaParser.ctorHead | ( |  | ) | throws RecognitionException, TokenStreamException

Definition at line 1559 of file JavaParser.java.

Here is the call graph for this function:
Here is the caller graph for this function:

## ◆ declaration()

final void com.jogamp.gluegen.jgram.JavaParser.declaration | ( |  | ) | throws RecognitionException, TokenStreamException

A declaration is the creation of a reference or primitive-type variable Create a separate Type/Var tree for each var in the var list.

Definition at line 546 of file JavaParser.java.

Here is the call graph for this function:
Here is the caller graph for this function:

## ◆ declaratorBrackets()

final void com.jogamp.gluegen.jgram.JavaParser.declaratorBrackets | ( | AST | typ | ) | throws RecognitionException, TokenStreamException

Definition at line 1704 of file JavaParser.java.

Here is the caller graph for this function:

## ◆ equalityExpression()

final void com.jogamp.gluegen.jgram.JavaParser.equalityExpression | ( |  | ) | throws RecognitionException, TokenStreamException

Definition at line 3787 of file JavaParser.java.

Here is the call graph for this function:
Here is the caller graph for this function:

## ◆ exclusiveOrExpression()

final void com.jogamp.gluegen.jgram.JavaParser.exclusiveOrExpression | ( |  | ) | throws RecognitionException, TokenStreamException

Definition at line 3729 of file JavaParser.java.

Here is the call graph for this function:
Here is the caller graph for this function:

## ◆ explicitConstructorInvocation()

final void com.jogamp.gluegen.jgram.JavaParser.explicitConstructorInvocation | ( |  | ) | throws RecognitionException, TokenStreamException

Catch obvious constructor calls, but not the expr.super(...) calls.

Definition at line 1812 of file JavaParser.java.

Here is the call graph for this function:
Here is the caller graph for this function:

## ◆ expression()

final void com.jogamp.gluegen.jgram.JavaParser.expression | ( |  | ) | throws RecognitionException, TokenStreamException

Definition at line 2519 of file JavaParser.java.

Here is the call graph for this function:
Here is the caller graph for this function:

## ◆ expressionList()

final void com.jogamp.gluegen.jgram.JavaParser.expressionList | ( |  | ) | throws RecognitionException, TokenStreamException

Definition at line 3012 of file JavaParser.java.

Here is the call graph for this function:
Here is the caller graph for this function:

## ◆ field()

final void com.jogamp.gluegen.jgram.JavaParser.field | ( |  | ) | throws RecognitionException, TokenStreamException

Definition at line 1360 of file JavaParser.java.

Here is the call graph for this function:
Here is the caller graph for this function:

## ◆ finallyClause()

final void com.jogamp.gluegen.jgram.JavaParser.finallyClause | ( |  | ) | throws RecognitionException, TokenStreamException

Definition at line 3066 of file JavaParser.java.

Here is the call graph for this function:
Here is the caller graph for this function:

## ◆ forCond()

final void com.jogamp.gluegen.jgram.JavaParser.forCond | ( |  | ) | throws RecognitionException, TokenStreamException

Definition at line 2676 of file JavaParser.java.

Here is the call graph for this function:
Here is the caller graph for this function:

## ◆ forInit()

final void com.jogamp.gluegen.jgram.JavaParser.forInit | ( |  | ) | throws RecognitionException, TokenStreamException

Definition at line 2626 of file JavaParser.java.

Here is the call graph for this function:
Here is the caller graph for this function:

## ◆ forIter()

final void com.jogamp.gluegen.jgram.JavaParser.forIter | ( |  | ) | throws RecognitionException, TokenStreamException

Definition at line 2740 of file JavaParser.java.

Here is the call graph for this function:
Here is the caller graph for this function:

## ◆ getParsedEnumNames()

Set< String > com.jogamp.gluegen.jgram.JavaParser.getParsedEnumNames | ( |  | ) |

Returns the EnumTypes this HeaderParser processed.

Definition at line 36 of file JavaParser.java.

Here is the caller graph for this function:

## ◆ getParsedFunctionNames()

Set< String > com.jogamp.gluegen.jgram.JavaParser.getParsedFunctionNames | ( |  | ) |

Returns the list of FunctionSymbols this HeaderParser has parsed.

Definition at line 48 of file JavaParser.java.

Here is the caller graph for this function:

## ◆ getParsedInnerClassesNames()

Set< String > com.jogamp.gluegen.jgram.JavaParser.getParsedInnerClassesNames | ( |  | ) |

Returns the list of inner classes this HeaderParser has parsed.

Definition at line 72 of file JavaParser.java.

Here is the caller graph for this function:

## ◆ getParsedInnerInterfacesNames()

Set< String > com.jogamp.gluegen.jgram.JavaParser.getParsedInnerInterfacesNames | ( |  | ) |

Returns the list of inner interfaces this HeaderParser has parsed.

Definition at line 60 of file JavaParser.java.

Here is the caller graph for this function:

## ◆ handler()

final void com.jogamp.gluegen.jgram.JavaParser.handler | ( |  | ) | throws RecognitionException, TokenStreamException

Definition at line 3046 of file JavaParser.java.

Here is the call graph for this function:
Here is the caller graph for this function:

## ◆ identifier()

final void com.jogamp.gluegen.jgram.JavaParser.identifier | ( |  | ) | throws RecognitionException, TokenStreamException

Definition at line 330 of file JavaParser.java.

Here is the caller graph for this function:

## ◆ identifierStar()

final void com.jogamp.gluegen.jgram.JavaParser.identifierStar | ( |  | ) | throws RecognitionException, TokenStreamException

Definition at line 363 of file JavaParser.java.

Here is the caller graph for this function:

## ◆ identPrimary()

final void com.jogamp.gluegen.jgram.JavaParser.identPrimary | ( |  | ) | throws RecognitionException, TokenStreamException

Match a, a.b.c refs, a.b.c(...) refs, a.b.c[], a.b.c[].class, and a.b.c.class refs.

Also this(...) and super(...). Match this or super.

Definition at line 3356 of file JavaParser.java.

Here is the call graph for this function:
Here is the caller graph for this function:

## ◆ implementsClause()

final void com.jogamp.gluegen.jgram.JavaParser.implementsClause | ( |  | ) | throws RecognitionException, TokenStreamException

Definition at line 1177 of file JavaParser.java.

Here is the call graph for this function:
Here is the caller graph for this function:

## ◆ importDefinition()

final void com.jogamp.gluegen.jgram.JavaParser.importDefinition | ( |  | ) | throws RecognitionException, TokenStreamException

Definition at line 217 of file JavaParser.java.

Here is the call graph for this function:
Here is the caller graph for this function:

## ◆ inclusiveOrExpression()

final void com.jogamp.gluegen.jgram.JavaParser.inclusiveOrExpression | ( |  | ) | throws RecognitionException, TokenStreamException

Definition at line 3700 of file JavaParser.java.

Here is the call graph for this function:
Here is the caller graph for this function:

## ◆ initializer()

final void com.jogamp.gluegen.jgram.JavaParser.initializer | ( |  | ) | throws RecognitionException, TokenStreamException

Definition at line 2361 of file JavaParser.java.

Here is the call graph for this function:
Here is the caller graph for this function:

## ◆ interfaceDefinition()

final void com.jogamp.gluegen.jgram.JavaParser.interfaceDefinition | ( | AST | antsBefore,
|  | AST | modifiers,
|  | AST | antsAfter
| ) |  | throws RecognitionException, TokenStreamException

Definition at line 510 of file JavaParser.java.

Here is the call graph for this function:
Here is the caller graph for this function:

## ◆ interfaceExtends()

final void com.jogamp.gluegen.jgram.JavaParser.interfaceExtends | ( |  | ) | throws RecognitionException, TokenStreamException

Definition at line 1305 of file JavaParser.java.

Here is the call graph for this function:
Here is the caller graph for this function:

## ◆ logicalAndExpression()

final void com.jogamp.gluegen.jgram.JavaParser.logicalAndExpression | ( |  | ) | throws RecognitionException, TokenStreamException

Definition at line 3671 of file JavaParser.java.

Here is the call graph for this function:
Here is the caller graph for this function:

## ◆ logicalOrExpression()

final void com.jogamp.gluegen.jgram.JavaParser.logicalOrExpression | ( |  | ) | throws RecognitionException, TokenStreamException

Definition at line 3642 of file JavaParser.java.

Here is the call graph for this function:
Here is the caller graph for this function:

## ◆ modifier()

final void com.jogamp.gluegen.jgram.JavaParser.modifier | ( |  | ) | throws RecognitionException, TokenStreamException

Definition at line 1016 of file JavaParser.java.

Here is the caller graph for this function:

## ◆ modifiers()

final void com.jogamp.gluegen.jgram.JavaParser.modifiers | ( |  | ) | throws RecognitionException, TokenStreamException

Definition at line 443 of file JavaParser.java.

Here is the call graph for this function:
Here is the caller graph for this function:

## ◆ multiplicativeExpression()

final void com.jogamp.gluegen.jgram.JavaParser.multiplicativeExpression | ( |  | ) | throws RecognitionException, TokenStreamException

Definition at line 4058 of file JavaParser.java.

Here is the call graph for this function:
Here is the caller graph for this function:

## ◆ newArrayDeclarator()

final void com.jogamp.gluegen.jgram.JavaParser.newArrayDeclarator | ( |  | ) | throws RecognitionException, TokenStreamException

Definition at line 4926 of file JavaParser.java.

Here is the call graph for this function:
Here is the caller graph for this function:

## ◆ newExpression()

final void com.jogamp.gluegen.jgram.JavaParser.newExpression | ( |  | ) | throws RecognitionException, TokenStreamException

object instantiation.

Trees are built as illustrated by the following input/tree pairs:

new T()

new | T – ELIST | arg1 – arg2 – .. – argn

new int[]

new | int – ARRAY_DECLARATOR

new int[] {1,2}

new | int – ARRAY_DECLARATOR – ARRAY_INIT | EXPR – EXPR | | 1 2

new int[3] new | int – ARRAY_DECLARATOR | EXPR | 3

new int[1][2]

new | int – ARRAY_DECLARATOR | ARRAY_DECLARATOR – EXPR | | EXPR 1 | 2

Definition at line 4699 of file JavaParser.java.

Here is the call graph for this function:
Here is the caller graph for this function:

## ◆ packageDefinition()

final void com.jogamp.gluegen.jgram.JavaParser.packageDefinition | ( |  | ) | throws RecognitionException, TokenStreamException

Definition at line 185 of file JavaParser.java.

Here is the call graph for this function:
Here is the caller graph for this function:

## ◆ parameterDeclaration()

final void com.jogamp.gluegen.jgram.JavaParser.parameterDeclaration | ( |  | ) | throws RecognitionException, TokenStreamException

Definition at line 2539 of file JavaParser.java.

Here is the call graph for this function:
Here is the caller graph for this function:

## ◆ parameterDeclarationList()

final void com.jogamp.gluegen.jgram.JavaParser.parameterDeclarationList | ( |  | ) | throws RecognitionException, TokenStreamException

Definition at line 1643 of file JavaParser.java.

Here is the call graph for this function:
Here is the caller graph for this function:

## ◆ parameterModifier()

final void com.jogamp.gluegen.jgram.JavaParser.parameterModifier | ( |  | ) | throws RecognitionException, TokenStreamException

Definition at line 2576 of file JavaParser.java.

Here is the caller graph for this function:

## ◆ postfixExpression()

final void com.jogamp.gluegen.jgram.JavaParser.postfixExpression | ( |  | ) | throws RecognitionException, TokenStreamException

Definition at line 4325 of file JavaParser.java.

Here is the call graph for this function:
Here is the caller graph for this function:

## ◆ primaryExpression()

final void com.jogamp.gluegen.jgram.JavaParser.primaryExpression | ( |  | ) | throws RecognitionException, TokenStreamException

Definition at line 3195 of file JavaParser.java.

Here is the call graph for this function:
Here is the caller graph for this function:

## ◆ relationalExpression()

final void com.jogamp.gluegen.jgram.JavaParser.relationalExpression | ( |  | ) | throws RecognitionException, TokenStreamException

Definition at line 3836 of file JavaParser.java.

Here is the call graph for this function:
Here is the caller graph for this function:

## ◆ shiftExpression()

final void com.jogamp.gluegen.jgram.JavaParser.shiftExpression | ( |  | ) | throws RecognitionException, TokenStreamException

Definition at line 3952 of file JavaParser.java.

Here is the call graph for this function:
Here is the caller graph for this function:

## ◆ statement()

final void com.jogamp.gluegen.jgram.JavaParser.statement | ( |  | ) | throws RecognitionException, TokenStreamException

Definition at line 1865 of file JavaParser.java.

Here is the call graph for this function:
Here is the caller graph for this function:

## ◆ superClassClause()

final void com.jogamp.gluegen.jgram.JavaParser.superClassClause | ( |  | ) | throws RecognitionException, TokenStreamException

Definition at line 1139 of file JavaParser.java.

Here is the call graph for this function:
Here is the caller graph for this function:

## ◆ throwsClause()

final void com.jogamp.gluegen.jgram.JavaParser.throwsClause | ( |  | ) | throws RecognitionException, TokenStreamException

Definition at line 1745 of file JavaParser.java.

Here is the call graph for this function:
Here is the caller graph for this function:

## ◆ tryBlock()

final void com.jogamp.gluegen.jgram.JavaParser.tryBlock | ( |  | ) | throws RecognitionException, TokenStreamException

Definition at line 2839 of file JavaParser.java.

Here is the call graph for this function:
Here is the caller graph for this function:

## ◆ type()

final void com.jogamp.gluegen.jgram.JavaParser.type | ( |  | ) | throws RecognitionException, TokenStreamException

Definition at line 979 of file JavaParser.java.

Here is the call graph for this function:
Here is the caller graph for this function:

## ◆ typeDefinition()

final void com.jogamp.gluegen.jgram.JavaParser.typeDefinition | ( |  | ) | throws RecognitionException, TokenStreamException

Definition at line 249 of file JavaParser.java.

Here is the call graph for this function:
Here is the caller graph for this function:

## ◆ typeSpec()

final void com.jogamp.gluegen.jgram.JavaParser.typeSpec | ( | boolean | addImagNode | ) | throws RecognitionException, TokenStreamException

Definition at line 578 of file JavaParser.java.

Here is the call graph for this function:
Here is the caller graph for this function:

## ◆ unaryExpression()

final void com.jogamp.gluegen.jgram.JavaParser.unaryExpression | ( |  | ) | throws RecognitionException, TokenStreamException

Definition at line 4115 of file JavaParser.java.

Here is the call graph for this function:
Here is the caller graph for this function:

## ◆ unaryExpressionNotPlusMinus()

final void com.jogamp.gluegen.jgram.JavaParser.unaryExpressionNotPlusMinus | ( |  | ) | throws RecognitionException, TokenStreamException

Definition at line 4211 of file JavaParser.java.

Here is the call graph for this function:
Here is the caller graph for this function:

## ◆ variableDeclarator()

final void com.jogamp.gluegen.jgram.JavaParser.variableDeclarator | ( | AST | antsBefore,
|  | AST | mods,
|  | AST | antsAfter,
|  | AST | t
| ) |  | throws RecognitionException, TokenStreamException

Declaration of a variable.

This can be a class/instance variable, or a local variable in a method It can also include possible initialization.

Definition at line 2294 of file JavaParser.java.

Here is the call graph for this function:
Here is the caller graph for this function:

## ◆ variableDefinitions()

final void com.jogamp.gluegen.jgram.JavaParser.variableDefinitions | ( | AST | antsBefore,
|  | AST | mods,
|  | AST | antsAfter,
|  | AST | t
| ) |  | throws RecognitionException, TokenStreamException

Definition at line 617 of file JavaParser.java.

Here is the call graph for this function:
Here is the caller graph for this function:

## ◆ varInitializer()

final void com.jogamp.gluegen.jgram.JavaParser.varInitializer | ( |  | ) | throws RecognitionException, TokenStreamException

Definition at line 2328 of file JavaParser.java.

Here is the call graph for this function:
Here is the caller graph for this function:

## Member Data Documentation

## ◆ _tokenNames

final String [] com.jogamp.gluegen.jgram.JavaParser._tokenNames

static

Definition at line 5006 of file JavaParser.java.

## ◆ _tokenSet_0

final BitSet com.jogamp.gluegen.jgram.JavaParser._tokenSet_0 = new BitSet(mk_tokenSet_0())

static

Definition at line 5169 of file JavaParser.java.

## ◆ _tokenSet_1

final BitSet com.jogamp.gluegen.jgram.JavaParser._tokenSet_1 = new BitSet(mk_tokenSet_1())

static

Definition at line 5174 of file JavaParser.java.

## ◆ _tokenSet_10

final BitSet com.jogamp.gluegen.jgram.JavaParser._tokenSet_10 = new BitSet(mk_tokenSet_10())

static

Definition at line 5219 of file JavaParser.java.

## ◆ _tokenSet_11

final BitSet com.jogamp.gluegen.jgram.JavaParser._tokenSet_11 = new BitSet(mk_tokenSet_11())

static

Definition at line 5224 of file JavaParser.java.

## ◆ _tokenSet_12

final BitSet com.jogamp.gluegen.jgram.JavaParser._tokenSet_12 = new BitSet(mk_tokenSet_12())

static

Definition at line 5229 of file JavaParser.java.

## ◆ _tokenSet_13

final BitSet com.jogamp.gluegen.jgram.JavaParser._tokenSet_13 = new BitSet(mk_tokenSet_13())

static

Definition at line 5234 of file JavaParser.java.

## ◆ _tokenSet_14

final BitSet com.jogamp.gluegen.jgram.JavaParser._tokenSet_14 = new BitSet(mk_tokenSet_14())

static

Definition at line 5239 of file JavaParser.java.

## ◆ _tokenSet_15

final BitSet com.jogamp.gluegen.jgram.JavaParser._tokenSet_15 = new BitSet(mk_tokenSet_15())

static

Definition at line 5244 of file JavaParser.java.

## ◆ _tokenSet_16

final BitSet com.jogamp.gluegen.jgram.JavaParser._tokenSet_16 = new BitSet(mk_tokenSet_16())

static

Definition at line 5249 of file JavaParser.java.

## ◆ _tokenSet_17

final BitSet com.jogamp.gluegen.jgram.JavaParser._tokenSet_17 = new BitSet(mk_tokenSet_17())

static

Definition at line 5254 of file JavaParser.java.

## ◆ _tokenSet_18

final BitSet com.jogamp.gluegen.jgram.JavaParser._tokenSet_18 = new BitSet(mk_tokenSet_18())

static

Definition at line 5259 of file JavaParser.java.

## ◆ _tokenSet_19

final BitSet com.jogamp.gluegen.jgram.JavaParser._tokenSet_19 = new BitSet(mk_tokenSet_19())

static

Definition at line 5264 of file JavaParser.java.

## ◆ _tokenSet_2

final BitSet com.jogamp.gluegen.jgram.JavaParser._tokenSet_2 = new BitSet(mk_tokenSet_2())

static

Definition at line 5179 of file JavaParser.java.

## ◆ _tokenSet_20

final BitSet com.jogamp.gluegen.jgram.JavaParser._tokenSet_20 = new BitSet(mk_tokenSet_20())

static

Definition at line 5269 of file JavaParser.java.

## ◆ _tokenSet_21

final BitSet com.jogamp.gluegen.jgram.JavaParser._tokenSet_21 = new BitSet(mk_tokenSet_21())

static

Definition at line 5274 of file JavaParser.java.

## ◆ _tokenSet_22

final BitSet com.jogamp.gluegen.jgram.JavaParser._tokenSet_22 = new BitSet(mk_tokenSet_22())

static

Definition at line 5279 of file JavaParser.java.

## ◆ _tokenSet_23

final BitSet com.jogamp.gluegen.jgram.JavaParser._tokenSet_23 = new BitSet(mk_tokenSet_23())

static

Definition at line 5284 of file JavaParser.java.

## ◆ _tokenSet_24

final BitSet com.jogamp.gluegen.jgram.JavaParser._tokenSet_24 = new BitSet(mk_tokenSet_24())

static

Definition at line 5289 of file JavaParser.java.

## ◆ _tokenSet_25

final BitSet com.jogamp.gluegen.jgram.JavaParser._tokenSet_25 = new BitSet(mk_tokenSet_25())

static

Definition at line 5294 of file JavaParser.java.

## ◆ _tokenSet_26

final BitSet com.jogamp.gluegen.jgram.JavaParser._tokenSet_26 = new BitSet(mk_tokenSet_26())

static

Definition at line 5299 of file JavaParser.java.

## ◆ _tokenSet_27

final BitSet com.jogamp.gluegen.jgram.JavaParser._tokenSet_27 = new BitSet(mk_tokenSet_27())

static

Definition at line 5304 of file JavaParser.java.

## ◆ _tokenSet_28

final BitSet com.jogamp.gluegen.jgram.JavaParser._tokenSet_28 = new BitSet(mk_tokenSet_28())

static

Definition at line 5309 of file JavaParser.java.

## ◆ _tokenSet_29

final BitSet com.jogamp.gluegen.jgram.JavaParser._tokenSet_29 = new BitSet(mk_tokenSet_29())

static

Definition at line 5314 of file JavaParser.java.

## ◆ _tokenSet_3

final BitSet com.jogamp.gluegen.jgram.JavaParser._tokenSet_3 = new BitSet(mk_tokenSet_3())

static

Definition at line 5184 of file JavaParser.java.

## ◆ _tokenSet_30

final BitSet com.jogamp.gluegen.jgram.JavaParser._tokenSet_30 = new BitSet(mk_tokenSet_30())

static

Definition at line 5319 of file JavaParser.java.

## ◆ _tokenSet_4

final BitSet com.jogamp.gluegen.jgram.JavaParser._tokenSet_4 = new BitSet(mk_tokenSet_4())

static

Definition at line 5189 of file JavaParser.java.

## ◆ _tokenSet_5

final BitSet com.jogamp.gluegen.jgram.JavaParser._tokenSet_5 = new BitSet(mk_tokenSet_5())

static

Definition at line 5194 of file JavaParser.java.

## ◆ _tokenSet_6

final BitSet com.jogamp.gluegen.jgram.JavaParser._tokenSet_6 = new BitSet(mk_tokenSet_6())

static

Definition at line 5199 of file JavaParser.java.

## ◆ _tokenSet_7

final BitSet com.jogamp.gluegen.jgram.JavaParser._tokenSet_7 = new BitSet(mk_tokenSet_7())

static

Definition at line 5204 of file JavaParser.java.

## ◆ _tokenSet_8

final BitSet com.jogamp.gluegen.jgram.JavaParser._tokenSet_8 = new BitSet(mk_tokenSet_8())

static

Definition at line 5209 of file JavaParser.java.

## ◆ _tokenSet_9

final BitSet com.jogamp.gluegen.jgram.JavaParser._tokenSet_9 = new BitSet(mk_tokenSet_9())

static

Definition at line 5214 of file JavaParser.java.

The documentation for this class was generated from the following file:

- build/gensrc/java/com/jogamp/gluegen/jgram/JavaParser.java